package com.red.circle.console.app.service.app.sys.pay;

import com.red.circle.order.inner.model.cmd.SysPayCountryChannelCmd;
import com.red.circle.order.inner.model.dto.SysPayCountryChannelDTO;
import java.util.List;

/**
 * <p>
 * 国家支持渠道 服务类
 * </p>
 *
 * @author pengliang
 * @since 2021-11-29
 */
public interface SysPayCountryChannelService {

  /**
   * 切换上下架.
   */
  void switchShelf(Long id, Boolean shelf);

  /**
   * 删除关联渠道.
   */
  void delBatchAssociatedChannel(SysPayCountryChannelCmd param);

  /**
   * 添加关联渠道.
   */
  void addAssociatedChannels(SysPayCountryChannelCmd param);

  /**
   * 获取国家关联渠道信息.
   */
  List<SysPayCountryChannelDTO> listByPayCountryId(Long payCountryId);

}
